Cases API¶
Manage cases.
See the guide for a narrative walkthrough of this API.
Base URL¶
https://api-{dataRegion}.central.sophos.com/cases/v1 — Regional service in the production environment.
| Variable | Description | Default | Allowed values |
|---|---|---|---|
dataRegion | The data region where the service is. | eu01 | eu01, eu02, us01, us03, ca01, au01, jp01, in01, br01, ae01 |
Authentication¶
Every request carries an Authorization: Bearer header with an access token obtained through the client-credentials flow — see Get started.
Required permissions¶
This API's operations require one or more of the following, depending on the operation — see each operation's own page for the exact requirement:
xdr-cases.case.detection:readxdr-cases.case.impacted-entities:readxdr-cases.case.mitre-attack-summary:readxdr-cases.case:createxdr-cases.case:deletexdr-cases.case:readxdr-cases.case:update
Operations¶
Cases¶
- Get cases
GET/cases - Create case
POST/cases - Get case by ID
GET/cases/{caseId} - Update a case
PATCH/cases/{caseId} - Delete a case by ID
DELETE/cases/{caseId} - Get case detections
GET/cases/{caseId}/detections - Get a single detection
GET/cases/{caseId}/detections/{detectionId} - Get a impacted entities
GET/cases/{caseId}/impacted-entities - Get summary of MITRE
GET/cases/{caseId}/mitre-attack-summary
Download¶